<?xml version="1.0"?>
<!DOCTYPE facelet-taglib PUBLIC
  "-//Sun Microsystems, Inc.//DTD Facelet Taglib 1.0//EN"
  "http://java.sun.com/dtd/facelet-taglib_1_0.dtd">
<facelet-taglib xmlns="http://java.sun.com/JSF/Facelet">
    <namespace>dendrarium</namespace>
    <function>
        <function-name>concat</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String concat(java.lang.String, java.lang.String)
        </function-signature>
    </function>

    <function>
        <function-name>root</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String root()
        </function-signature>
    </function>

    <function>
        <function-name>entery</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String entery(java.lang.String)
        </function-signature>
    </function>

    <function>
        <function-name>stat</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
    java.lang.String stat(java.lang.String)
        </function-signature>
    </function>

    <function>
        <function-name>tlo</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String tlo(java.lang.Boolean)
        </function-signature>
    </function>

    <function>
        <function-name>property</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String property(java.lang.String)
        </function-signature>
    </function>

    <function>
        <function-name>indexedProperty</function-name>
        <function-class>dendrarium.utils.ELHelper</function-class>
        <function-signature>
	java.lang.String indexedProperty(java.lang.String, java.lang.String)
        </function-signature>
    </function>

    <tag>
        <tag-name>stats-small</tag-name>
        <source>templates/stats-small.xhtml</source>
    </tag>

    <tag>
        <tag-name>answer-list</tag-name>
        <source>templates/answer-list.xhtml</source>
    </tag>

    <tag>
        <tag-name>list-pagination</tag-name>
        <source>templates/list-pagination.xhtml</source>
    </tag>

    <tag>
        <tag-name>collision-list</tag-name>
        <source>templates/collision-list.xhtml</source>
    </tag>


    <tag>
        <tag-name>todo</tag-name>
        <source>templates/todo.xhtml</source>
    </tag>

    <tag>
        <tag-name>svg-image</tag-name>
        <source>templates/svg-image.xhtml</source>
    </tag>

    <tag>
        <tag-name>svg-inline</tag-name>
        <source>templates/svg-inline.xhtml</source>
    </tag>

    <tag>
        <tag-name>tabs</tag-name>
        <source>templates/tabs.xhtml</source>
    </tag>

</facelet-taglib>
